Bug 201476 - Review Request: perl-DateTime-Format-HTTP
Review Request: perl-DateTime-Format-HTTP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/DateTime-...
:
Depends On:
Blocks: FE-ACCEPT 201480
  Show dependency treegraph
 
Reported: 2006-08-05 19:58 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-06 21:25:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-05 19:58:32 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-HTTP-0.36-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-HTTP.spec

Description:
This module provides functions that deal with the date formats used by the
HTTP protocol (and then some).
Comment 1 Patrice Dumas 2006-08-06 08:55:38 EDT
Blocker:
- For t/pod99.t missing BuildRequires: perl(File::Find::Rule)

Remarks:
- the Summary could be more precise, like
HTTP protocol date conversion routines

- no need to 
  mv LICENCE LICENSE
  it is the spec file that must be american english

Otherwise
* rpmlint is silent
* free software, licences included
* meets packaging guidelines
* spec legible
* match upstream
8f40176f012e293743ffbdb42791e40c  ./DateTime-Format-HTTP-0.36.tar.gz
* sane provides:
Provides: perl(DateTime::Format::HTTP) = 0.36
* %files right

If you fix (or explain) the BuildRequires I'll approve


Comment 2 Chris Weyl 2006-08-06 12:23:48 EDT
Additional BuildRequires added; summary updated.

SRPM URL:
http://home.comcast.net/~ckweyl/perl-DateTime-Format-HTTP-0.36-2.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-HTTP.spec
Comment 3 Patrice Dumas 2006-08-06 16:25:03 EDT
The issues have been solved, so

APPROVED
Comment 4 Chris Weyl 2006-08-06 21:25:46 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4,FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.